Result (EasyMock 3.1 API)
Date: 2011-11-10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.internal
Class Result

    java.lang.Object
      org.easymock.internal.Result

All Implemented Interfaces:
  Serializable, IAnswer<Object>

    public final class Result

extends Object
implements IAnswer<Object>, Serializable

Author:
  OFFIS, Tammo Freese
See Also:
  Serialized Form

Method Summary
`Object` | `answer()` Is called by EasyMock to answer an expected call.
`static Result` | `createAnswerResult(IAnswer<?> answer)`
`static Result` | `createDelegatingResult(Object value)`
`static Result` | `createReturnResult(Object value)`
`static Result` | `createThrowResult(Throwable throwable)`
`boolean` | `shouldFillInStackTrace()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createThrowResult

    public static Result createThrowResult(Throwable throwable)

### createReturnResult

    public static Result createReturnResult(Object value)

### createDelegatingResult

    public static Result createDelegatingResult(Object value)

### createAnswerResult

    public static Result createAnswerResult(IAnswer<?> answer)

### answer

    public Object answer()
                  throws Throwable

  Description copied from interface: `IAnswer`
  Is called by EasyMock to answer an expected call. The answer may be to return a value, or to throw an exception. The arguments of the call for which the answer is generated are available via `EasyMock.getCurrentArguments()` - be careful here, using the arguments is not refactoring-safe.

  Specified by:
    `answer` in interface `IAnswer<Object>`
  Returns:
    the value to be returned
  Throws:
    `Throwable` - the throwable to be thrown

### shouldFillInStackTrace

    public boolean shouldFillInStackTrace()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 OFFIS, Tammo Freese, Henri Tremblay. All Rights Reserved.